/*
 * Copyright 2020 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */
#include "pydoc_macros.h"
#define D(...) DOC(gr,funcube, __VA_ARGS__ )
/*
  This file contains placeholders for docstrings for the Python bindings.
  Do not edit! These were automatically extracted during the binding process
  and will be overwritten during the build process
 */


 
 static const char *__doc_gr_funcube_fcd = R"doc(Funcube Dongle source block.

This class provides a Funcube Dongle source block by wrapping the USB audio interface and the USB HID control interface of the Funcube Dongle into one convenient source block.


The Funcube Dongle needs to have firmware 18f or later for the control interface to work properly. As of early 2011, FCDs still come with firmware 18b. You can use qthid 2.2 (not 3) to upgrade the firmware:

Constructor Specific Documentation:

Return a shared_ptr to a new instance of funcube::fcd.

To avoid accidental use of raw pointers, funcube::fcd's constructor is in a private implementation class. funcube::fcd::make is the public interface for creating new instances.

Args:
    device_name : )doc";


 static const char *__doc_gr_funcube_fcd_fcd_0 = R"doc()doc";


 static const char *__doc_gr_funcube_fcd_fcd_1 = R"doc()doc";


 static const char *__doc_gr_funcube_fcd_make = R"doc(Funcube Dongle source block.

This class provides a Funcube Dongle source block by wrapping the USB audio interface and the USB HID control interface of the Funcube Dongle into one convenient source block.


The Funcube Dongle needs to have firmware 18f or later for the control interface to work properly. As of early 2011, FCDs still come with firmware 18b. You can use qthid 2.2 (not 3) to upgrade the firmware:

Constructor Specific Documentation:

Return a shared_ptr to a new instance of funcube::fcd.

To avoid accidental use of raw pointers, funcube::fcd's constructor is in a private implementation class. funcube::fcd::make is the public interface for creating new instances.

Args:
    device_name : )doc";


 static const char *__doc_gr_funcube_fcd_set_freq = R"doc(Set frequency with Hz resolution.

This is a convenience function that uses float parameter in order to allow using engineering notation in GRC.)doc";


 static const char *__doc_gr_funcube_fcd_set_lna_gain = R"doc(Set LNA gain.

Set the LNA gain in the FCD. Valid range is -5 to



By default the LNA gain is set to 20 dB and this is a good value for most cases. In noisy areas you may try to reduce the gain.)doc";


 static const char *__doc_gr_funcube_fcd_set_mixer_gain = R"doc(Set mixer gain.

Set the mixer gain in the FCD. Valid values are +4 and +12 dB.


By default the mixer gain is set to +12 dB and this is a good value for most cases. In noisy areas you may try to reduce the gain.)doc";


 static const char *__doc_gr_funcube_fcd_set_freq_corr = R"doc(Set new frequency correction.

Version 1.1 FCDs (S/N 810 or later) need a correction of -12 ppm. Earlier FCDs need roughly -120 ppm (default for gr-fcd).


Ref:)doc";


 static const char *__doc_gr_funcube_fcd_set_dc_corr = R"doc(Set DC offset correction.

Set DC offset correction in the device. Default is 0.0.)doc";


 static const char *__doc_gr_funcube_fcd_set_iq_corr = R"doc(Set IQ phase and gain balance.

Set IQ phase and gain balance in the device. The default values are 0.0 for phase and 1.0 for gain.)doc";

  
