/*
 * Copyright 2021 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */
#include "pydoc_macros.h"
#define D(...) DOC(gr,funcube, __VA_ARGS__ )
/*
  This file contains placeholders for docstrings for the Python bindings.
  Do not edit! These were automatically extracted during the binding process
  and will be overwritten during the build process
 */


 
 static const char *__doc_gr_funcube_fcdpp = R"doc(Funcube Pro+ Dongle source block.

This class provides a source block for the Funcube Pro+ Dongle by wrapping the alsa audio interface and the USB control interface of the Funcube Dongle into one convenient source block. The hadware audio device is autodetected by the card name. If more than one Pro+ are connected it takes the first card. The block was tested with firmware version 20.3

Constructor Specific Documentation:

Return a shared_ptr to a new instance of funcube::fcdpp.

To avoid accidental use of raw pointers, funcube::fcdpp's constructor is in a private implementation class. funcube::fcdpp::make is the public interface for creating new instances.

Args:
    device_name : 
    unit : )doc";


 static const char *__doc_gr_funcube_fcdpp_fcdpp_0 = R"doc()doc";


 static const char *__doc_gr_funcube_fcdpp_fcdpp_1 = R"doc()doc";


 static const char *__doc_gr_funcube_fcdpp_make = R"doc(Funcube Pro+ Dongle source block.

This class provides a source block for the Funcube Pro+ Dongle by wrapping the alsa audio interface and the USB control interface of the Funcube Dongle into one convenient source block. The hadware audio device is autodetected by the card name. If more than one Pro+ are connected it takes the first card. The block was tested with firmware version 20.3

Constructor Specific Documentation:

Return a shared_ptr to a new instance of funcube::fcdpp.

To avoid accidental use of raw pointers, funcube::fcdpp's constructor is in a private implementation class. funcube::fcdpp::make is the public interface for creating new instances.

Args:
    device_name : 
    unit : )doc";


 static const char *__doc_gr_funcube_fcdpp_set_freq = R"doc(Set frequency with resolution defined by unit.

Sets the frequency of the Funcube Dongle with Hz or Khz resolution depending on the unit parameter ( 1: Hz , 1000 Khz ) applying the frequency correction set by set_freq_corr().)doc";


 static const char *__doc_gr_funcube_fcdpp_set_lna = R"doc(Switches the LNA on/off.)doc";


 static const char *__doc_gr_funcube_fcdpp_set_mixer_gain = R"doc(Switches mixer gain onf/off.)doc";


 static const char *__doc_gr_funcube_fcdpp_set_freq_corr = R"doc(Set new frequency correction.

Funcube recommends 0 for the Pro+.


Ref:)doc";


 static const char *__doc_gr_funcube_fcdpp_set_if_gain = R"doc(Set If gain.)doc";

  
